misc/kunitconversion - The NetBSD Packages Collection

Support for unit conversion

KUnitConversion provides functions to convert values in different physical
units. It supports converting different prefixes (e.g. kilo, mega, giga) as
well as converting between different unit systems (e.g. liters, gallons). The
following areas are supported:

* Acceleration
* Angle
* Area
* Currency
* Density
* Energy
* Force
* Frequency
* Fuel efficiency
* Length
* Mass
* Power
* Pressure
* Temperature
* Time
* Velocity
* Volume

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto x11/xcb-proto devel/extra-cmake-modules devel/extra-cmake-modules devel/cmake lang/python311 devel/glib2-tools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/ki18n x11/qt5-qtbase x11/qt5-qtbase

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64kunitconversion-5.114.0.tgz
NetBSD 10.0aarch64kunitconversion-5.108.0nb4.tgz
NetBSD 10.0earmv6hfkunitconversion-5.108.0nb4.tgz
NetBSD 10.0earmv7hfkunitconversion-5.108.0nb4.tgz
NetBSD 10.0i386kunitconversion-5.114.0.tgz
NetBSD 10.0i386kunitconversion-5.108.0nb4.tgz
NetBSD 10.0powerpckunitconversion-5.108.0nb1.tgz
NetBSD 10.0sparc64kunitconversion-5.114.0.tgz
NetBSD 10.0x86_64kunitconversion-5.114.0.tgz
NetBSD 10.0x86_64kunitconversion-5.108.0nb4.tgz
NetBSD 9.0aarch64kunitconversion-5.108.0nb4.tgz
NetBSD 9.0earmv7hfkunitconversion-5.108.0nb4.tgz
NetBSD 9.0i386kunitconversion-5.114.0.tgz
NetBSD 9.0i386kunitconversion-5.108.0nb4.tgz
NetBSD 9.0powerpckunitconversion-5.108.0nb4.tgz
NetBSD 9.0powerpckunitconversion-5.114.0.tgz
NetBSD 9.0sparc64kunitconversion-5.98.0nb2.tgz
NetBSD 9.0x86_64kunitconversion-5.114.0.tgz
NetBSD 9.0x86_64kunitconversion-5.108.0nb4.tgz
NetBSD 9.3x86_64kunitconversion-5.116.0.tgz
NetBSD 9.3x86_64kunitconversion-5.116.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.